@use "mixins";

body {
  font-family: var(--font-default);
  font-weight: 600;
  background-color: var(--color-white);
  color: var(--color-grey-dark);
  padding: 6rem 16.67vw;

  @include mixins.respond-to-size(medium) {
    padding: 6rem 12.5vw;
  }

  @include mixins.respond-to-size(small) {
    padding: 6rem 6.25vw;
  }

  @include mixins.respond-to-size(tiny) {
    padding: 3rem 3.2vw;
  }
}

.profile {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 6.4rem;

  @include mixins.respond-to-size(tiny) {
    margin-bottom: 3.2rem;
  }

  &__picture {
    width: 15.6rem;
    height: 15.6rem;
    border-radius: 1.6rem;
    object-fit: contain;
    object-position: center;
    margin-bottom: 1.6rem;

    @include mixins.respond-to-size(tiny) {
      width: 10rem;
      height: 10rem;
      margin-bottom: 1.2rem;
    }
  }

  &__name {
    font-size: 2.4rem;
    line-height: 1.22;
    margin-bottom: 0.8rem;

    @include mixins.respond-to-size(tiny) {
      font-size: 1.4rem;
      margin-bottom: 0.4rem;
    }
  }

  &__location {
    font-size: 1.4rem;
    line-height: 1.22;
    margin-bottom: 2.4rem;
    color: var(--color-grey-semidark-primary);

    @include mixins.respond-to-size(tiny) {
      font-size: 1rem;
      margin-bottom: 1.2rem;
    }
  }

  &__stats {
    display: flex;
    justify-content: space-between;
    gap: 2.4rem;
    width: 34.8rem;
    height: 6.7rem;

    @include mixins.respond-to-size(tiny) {
      gap: 1.2rem;
      width: 25.8rem;
      height: 5.2rem;
    }
  }
}

.statistic {
  width: 100%;
  display: grid;
  grid-template-columns: max-content;
  row-gap: 0.4rem;
  place-content: center;
  justify-items: center;
  background-color: var(--color-grey-light);
  border-radius: 1.2rem;
  line-height: 1.22;

  @include mixins.respond-to-size(tiny) {
    row-gap: 0;
  }

  &__value {
    font-size: 1.8rem;

    @include mixins.respond-to-size(tiny) {
      font-size: 1.2rem;
    }
  }

  &__name {
    font-size: 1.4rem;
    color: var(--color-grey-semidark-secondary);

    @include mixins.respond-to-size(tiny) {
      font-size: 1.2rem;
    }
  }
}

.gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, 20.83vw);
  gap: 2.22vw;

  @include mixins.respond-to-size(tiny) {
    grid-template-rows: repeat(3, 26.67vw);
    gap: 3.2vw;
  }

  &__photo {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 1.2rem;
    filter: drop-shadow(0 1.5rem .75rem var(--color-grey-shadow));

    @include mixins.respond-to-size(tiny) {
      filter: drop-shadow(0 .4rem 0.15rem var(--color-grey-shadow));
    }

    &--2 {
      grid-column: 2 / -1;
    }

    &--3 {
      grid-column: 1 / span 2;
    }

    &--4 {
      grid-column: 3 / -1;
      grid-row: 2 / -1;
    }

    &--5 {
      grid-column: 2 / span 1;
    }

    &--6 {
      grid-column: 1 / span 1;
      grid-row-start: 3;
    }
  }
}
